Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.awt
Class Cursor

    java.lang.Object
      java.awt.Cursor

All Implemented Interfaces:
  Serializable

public class Cursor
extends Object
implements Serializable

A class to encapsulate the bitmap representation of the mouse cursor.

See Also:
  `Component.setCursor(java.awt.Cursor)`, Serialized Form

Field Summary
`static int` | `CROSSHAIR_CURSOR` The crosshair cursor type.
`static int` | `CUSTOM_CURSOR` The type associated with all custom cursors.
`static int` | `DEFAULT_CURSOR` The default cursor type (gets set if no cursor is defined).
`static int` | `E_RESIZE_CURSOR` The east-resize cursor type.
`static int` | `HAND_CURSOR` The hand cursor type.
`static int` | `MOVE_CURSOR` The move cursor type.
`static int` | `N_RESIZE_CURSOR` The north-resize cursor type.
`protected String` | `name` The user-visible name of the cursor.
`static int` | `NE_RESIZE_CURSOR` The north-east-resize cursor type.
`static int` | `NW_RESIZE_CURSOR` The north-west-resize cursor type.
`protected static Cursor[]` | `predefined`
`static int` | `S_RESIZE_CURSOR` The south-resize cursor type.
`static int` | `SE_RESIZE_CURSOR` The south-east-resize cursor type.
`static int` | `SW_RESIZE_CURSOR` The south-west-resize cursor type.
`static int` | `TEXT_CURSOR` The text cursor type.
`static int` | `W_RESIZE_CURSOR` The west-resize cursor type.
`static int` | `WAIT_CURSOR` The wait cursor type.

Constructor Summary
`` | `Cursor(int type)` Creates a new cursor object with the specified type.
`protected` | `Cursor(String name)` Creates a new custom cursor object with the specified name.

Method Summary
`protected void` | `finalize()` Called by the garbage collector on an object when garbage collection determines that there are no more references to the object.
`static Cursor` | `getDefaultCursor()` Return the system default cursor.
`String` | `getName()` Returns the name of this cursor.
`static Cursor` | `getPredefinedCursor(int type)` Returns a cursor object with the specified predefined type.
`static Cursor` | `getSystemCustomCursor(String name)` Returns a system-specific custom cursor object matching the specified name.
`int` | `getType()` Returns the type for this cursor.
`String` | `toString()` Returns a string representation of this cursor.

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### DEFAULT_CURSOR

    public static final int DEFAULT_CURSOR

  The default cursor type (gets set if no cursor is defined).

  See Also:
    Constant Field Values

### CROSSHAIR_CURSOR

    public static final int CROSSHAIR_CURSOR

  The crosshair cursor type.

  See Also:
    Constant Field Values

### TEXT_CURSOR

    public static final int TEXT_CURSOR

  The text cursor type.

  See Also:
    Constant Field Values

### WAIT_CURSOR

    public static final int WAIT_CURSOR

  The wait cursor type.

  See Also:
    Constant Field Values

### SW_RESIZE_CURSOR

    public static final int SW_RESIZE_CURSOR

  The south-west-resize cursor type.

  See Also:
    Constant Field Values

### SE_RESIZE_CURSOR

    public static final int SE_RESIZE_CURSOR

  The south-east-resize cursor type.

  See Also:
    Constant Field Values

### NW_RESIZE_CURSOR

    public static final int NW_RESIZE_CURSOR

  The north-west-resize cursor type.

  See Also:
    Constant Field Values

### NE_RESIZE_CURSOR

    public static final int NE_RESIZE_CURSOR

  The north-east-resize cursor type.

  See Also:
    Constant Field Values

### N_RESIZE_CURSOR

    public static final int N_RESIZE_CURSOR

  The north-resize cursor type.

  See Also:
    Constant Field Values

### S_RESIZE_CURSOR

    public static final int S_RESIZE_CURSOR

  The south-resize cursor type.

  See Also:
    Constant Field Values

### W_RESIZE_CURSOR

    public static final int W_RESIZE_CURSOR

  The west-resize cursor type.

  See Also:
    Constant Field Values

### E_RESIZE_CURSOR

    public static final int E_RESIZE_CURSOR

  The east-resize cursor type.

  See Also:
    Constant Field Values

### HAND_CURSOR

    public static final int HAND_CURSOR

  The hand cursor type.

  See Also:
    Constant Field Values

### MOVE_CURSOR

    public static final int MOVE_CURSOR

  The move cursor type.

  See Also:
    Constant Field Values

### predefined

    protected static Cursor[] predefined

### CUSTOM_CURSOR

    public static final int CUSTOM_CURSOR

  The type associated with all custom cursors.

  See Also:
    Constant Field Values

### name

    protected String name

  The user-visible name of the cursor.

  See Also:
    `getName()`

Constructor Detail

### Cursor

    public Cursor(int type)

  Creates a new cursor object with the specified type.

Parameters:
  `type` - the type of cursor
Throws:
  `IllegalArgumentException` - if the specified cursor type is invalid

### Cursor

    protected Cursor(String name)

  Creates a new custom cursor object with the specified name.

  Note: this constructor should only be used by AWT implementations as part of their support for custom cursors. Applications should use Toolkit.createCustomCursor().

Parameters:
  `name` - the user-visible name of the cursor.
See Also:
  `Toolkit.createCustomCursor(java.awt.Image, java.awt.Point, java.lang.String)`

Method Detail

### getPredefinedCursor

    public static Cursor getPredefinedCursor(int type)

  Returns a cursor object with the specified predefined type.

  Parameters:
    `type` - the type of predefined cursor
  Returns:
    the specified predefined cursor
  Throws:
    `IllegalArgumentException` - if the specified cursor type is invalid

### getSystemCustomCursor

    public static Cursor getSystemCustomCursor(String name)
                                        throws AWTException,
                                               HeadlessException

  Returns a system-specific custom cursor object matching the specified name. Cursor names are, for example: "Invalid.16x16"

  Parameters:
    `name` - a string describing the desired system-specific custom cursor
  Returns:
    the system specific custom cursor named
  Throws:
    `HeadlessException` - if `GraphicsEnvironment.isHeadless` returns true
    `AWTException`

### getDefaultCursor

    public static Cursor getDefaultCursor()

  Return the system default cursor.

### getType

    public int getType()

  Returns the type for this cursor.

### getName

    public String getName()

  Returns the name of this cursor.

  Returns:
    a localized description of this cursor.
  Since:
    1.2

### toString

    public String toString()

  Returns a string representation of this cursor.

  Overrides:
    `toString` in class `Object`
  Returns:
    a string representation of this cursor.
  Since:
    1.2

### finalize

    protected void finalize()
                     throws Throwable

  Description copied from class: `Object`
  Called by the garbage collector on an object when garbage collection determines that there are no more references to the object. A subclass overrides the `finalize` method to dispose of system resources or to perform other cleanup.

  The general contract of `finalize` is that it is invoked if and when the JavaTM virtual machine has determined that there is no longer any means by which this object can be accessed by any thread that has not yet died, except as a result of an action taken by the finalization of some other object or class which is ready to be finalized. The `finalize` method may take any action, including making this object available again to other threads; the usual purpose of `finalize`, however, is to perform cleanup actions before the object is irrevocably discarded. For example, the finalize method for an object that represents an input/output connection might perform explicit I/O transactions to break the connection before the object is permanently discarded.

  The `finalize` method of class `Object` performs no special action; it simply returns normally. Subclasses of `Object` may override this definition.

  The Java programming language does not guarantee which thread will invoke the `finalize` method for any given object. It is guaranteed, however, that the thread that invokes finalize will not be holding any user-visible synchronization locks when finalize is invoked. If an uncaught exception is thrown by the finalize method, the exception is ignored and finalization of that object terminates.

  After the `finalize` method has been invoked for an object, no further action is taken until the Java virtual machine has again determined that there is no longer any means by which this object can be accessed by any thread that has not yet died, including possible actions by other objects or classes which are ready to be finalized, at which point the object may be discarded.

  The `finalize` method is never invoked more than once by a Java virtual machine for any given object.

  Any exception thrown by the `finalize` method causes the finalization of this object to be halted, but is otherwise ignored.

  Overrides:
    `finalize` in class `Object`
  Throws:
    `Throwable` - the `Exception` raised by this method

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2003 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.